#!/bin/bash

# SET A GLOBAL VARIABLE TO REPRESENT THE BIN LENGTH ON SOLAR RADII
BIN_LENGTH=0.1

# ANALYSE WHOLE DATA SET AND BIN ACCORDING TO VARIABLE ABOVE
echo "EXECUTING DATA EVALUATION"
python3 data_eval.py $BIN_LENGTH
echo

# REWRITE EACH BINNED FILE INTO BINNED STATISTICS FILE
echo "EXECUTING STATISTICS ON BINNED DATA"
python3 binned_stats.py $BIN_LENGTH
echo

# REITERATE PROCESS, BUT SPLIT BETWEEN INGRESS AND EGRESS
echo "EXECUTING INGRESS / EGRESS ANALYSIS"
python3 ingress_egress.py $BIN_LENGTH
echo

# GENERATE FINAL PLOTS OF OBSERVATIONAL DATA
echo "GENERATING PLOTS OF OBSERVATION DATA"
python3 observation_plots.py
echo

# GENERATE FINAL PLOTS COMPARING SIMULATION RESULTS WITH OBSERVATIONS
echo "GENERATING COMPARISON PLOTS FOR PAPER"
python3 comparison_plots.py
echo
